{{- if not .Values.volumes.moduleStorage.existingPersistentVolumeClaimName }}
apiVersion: v1
kind: PersistentVolumeClaim
metadata:
  name: {{ .Values.volumes.moduleStorage.name }}
  labels:
    {{- include "singularity-execution-environment.labels" . | nindent 4 }}
  {{- with .Values.volumes.moduleStorage.annotations }}
  annotations:
    {{- toYaml . | nindent 4 }}
  {{- end }}
spec:
  accessModes:
    - ReadWriteOnce
  {{- if .Values.volumes.moduleStorage.storageClassName }}
  storageClassName: {{ .Values.volumes.moduleStorage.storageClassName }}
  {{- end }}
  resources:
    requests:
      storage: {{ .Values.volumes.moduleStorage.storage }}
{{- end -}}